---
title: "Browser search bar shortcuts"
description: "Macros for the speedy searching"
author: "Thurstylark"
date: 2021-9-25
draft: false
---



| Service                     | Trigger | URL                                                                         | Description                                           |
|-----------------------------|---------|-----------------------------------------------------------------------------|-------------------------------------------------------|
| Arch Wiki Search            | aw      | https://wiki.archlinux.org/index.php?title=Special%3ASearch&search=%s&go=Go |                                                       |
| Arch Package Search         | ap      | https://www.archlinux.org/packages/?sort=&q=%s&maintainer=&flagged=         |                                                       |
| Arch User Repository Search | aur     | https://aur.archlinux.org/packages?O=0&K=%s&SeB=nd&SB=n&SO=a                |                                                       |
| Arch Linux Bug Lookup       | fs      | https://bugs.archlinux.org/task/%s                                          | Go directly to bug number                             |
| Arch Manpage Lookup         | man     | https://man.archlinux.org/man/%s                                            | Go directly to manpage                                |
| Arch Manpage Search         | mans    | https://man.archlinux.org/search?q=%s&lang=en                               | Search manpage db                                     |
| Dell Service Tag Lookup     | dell    | http://www.dell.com/support/home/us/en/04/product-support/servicetag/%s     | Go directly to the Dell Support page of a service tag |
| ShellCheck Code Search      | sc      | https://github.com/koalaman/shellcheck/wiki/SC%s                            | Look up ShellCheck code. (sc<tab><number>)            |
