---
title: "Stream Ideas"
description: "Ideas for stream content"
author: "Thurstylark"
date: 2021-11-21
draft: false
hide: false
---


## Continual

- Lurk in chatrooms
  - libera.chat
    - #archlinux
    - ##linux
  - Matrix
    - #archlinux:archlinux.org
- [Troll the forums](https://bbs.archlinux.org/)
  - [Unanswered posts](https://bbs.archlinux.org/search.php?action=show_unanswered)
- Argue on reddit
  - [/r/archlinux](https://reddit.com/r/archlinux)
- [Keep AUR packages updated](https://aur.archlinux.org/)
  - Find more to adopt (suggestions welcome!)




## Projects

- Teach myself Ansible
  - https://www.ansible.com/resources/get-started
  - Easy learner targets:
    - tlwiki
    - weechat+tmux setup
    - aurutils repo
- archinstall remote profile
- Create OBS remote webapp
  - Teach myself Websockets
  - To replace StreamControl app
- Tweak wiki theme
  - Change ul bullet characters
    - Also figure out why YNH hosting mangles current ul characters?
  - Headings
    - larger text size based on H level
    - more spacing between previous block and header
  - Larger content container
    - #page grid?
  - Colors
    - #0088cc Blue highlight
    - #333333 Dark Grey
    - #cccccc Max white (text?)
    - mostly light text on greys with #08c highlights
- Tweak vim config
  - tab stop
  - use spaces
  - clean the fuck up
